# OpenLayers.Format.SOSGetFeatureOfInterest

Read and write SOS GetFeatureOfInterest. This is used to get to the location of the features (stations). The stations can have 1 or more sensors.

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.SOSGetFeatureOfInterest | Read and write SOS GetFeatureOfInterest.
Constants |
VERSION | {String} 1.0.0
Constructor |
OpenLayers.Format.SOSGetFeatureOfInterest |
Functions |
read | Parse a GetFeatureOfInterest response and return an array of features

### Constants

### VERSION

{String} 1.0.0

### Constructor

### OpenLayers.Format.SOSGetFeatureOfInterest

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### read

> read: function( | data | )

Parse a GetFeatureOfInterest response and return an array of features

#### Parameters

data | {String} or {DOMElement} data to read/parse.

#### Returns

{Array(OpenLayers.Feature.Vector)} An array of features.

> read: function( | data | )

Parse a GetFeatureOfInterest response and return an array of features
Read and write XML.
Vector features use the OpenLayers.Geometry classes as geometry description.
Close